| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Io::FileHdlr Struct Referencefinal

`#include <GaudiKernel/IFileMgr.h>`

Collaboration diagram for Io::FileHdlr:
[legend]

## Public Member Functions
| FileHdlr ()=default
| FileHdlr (IoTech t, bfcn_open_t o, bfcn_close_t c, bfcn_reopen_t r)
| FileHdlr (IoTech t, bfcn_open_t o, bfcn_closeP_t c, bfcn_reopenP_t r)
| FileHdlr (IoTech t, bfcn_open_t o, bfcn_close_t c1, bfcn_closeP_t c2, bfcn_reopen_t r1, bfcn_reopenP_t r2)

## Public Attributes
IoTech | tech = UNKNOWN
bfcn_open_t | b_open_fcn
bfcn_close_t | b_close_fcn
bfcn_closeP_t | b_closeP_fcn
bfcn_reopen_t | b_reopen_fcn
bfcn_reopenP_t | b_reopenP_fcn

## Detailed Description

Definition at line 260 of file IFileMgr.h.

## Constructor & Destructor Documentation

Io::FileHdlr::FileHdlr | ( |  | ) |
| default

Io::FileHdlr::FileHdlr | ( | IoTech | t,
|  | bfcn_open_t | o,
|  | bfcn_close_t | c,
|  | bfcn_reopen_t | r
| ) |  |
| inline

Definition at line 270 of file IFileMgr.h.

271 : tech( t ), b_open_fcn( o ), b_close_fcn( c ), b_reopen_fcn( r ){};
gaudirun.c
c
Definition: gaudirun.py:407
Io::FileHdlr::b_reopen_fcn
bfcn_reopen_t b_reopen_fcn
Definition: IFileMgr.h:266
Io::FileHdlr::b_close_fcn
bfcn_close_t b_close_fcn
Definition: IFileMgr.h:264
Io::FileHdlr::b_open_fcn
bfcn_open_t b_open_fcn
Definition: IFileMgr.h:263
Io::FileHdlr::tech
IoTech tech
Definition: IFileMgr.h:261

Io::FileHdlr::FileHdlr | ( | IoTech | t,
|  | bfcn_open_t | o,
|  | bfcn_closeP_t | c,
|  | bfcn_reopenP_t | r
| ) |  |
| inline

Definition at line 272 of file IFileMgr.h.

273 : tech( t ), b_open_fcn( o ), b_closeP_fcn( c ), b_reopenP_fcn( r ){};
gaudirun.c
c
Definition: gaudirun.py:407
Io::FileHdlr::b_closeP_fcn
bfcn_closeP_t b_closeP_fcn
Definition: IFileMgr.h:265
Io::FileHdlr::b_reopenP_fcn
bfcn_reopenP_t b_reopenP_fcn
Definition: IFileMgr.h:267
Io::FileHdlr::b_open_fcn
bfcn_open_t b_open_fcn
Definition: IFileMgr.h:263
Io::FileHdlr::tech
IoTech tech
Definition: IFileMgr.h:261

Io::FileHdlr::FileHdlr | ( | IoTech | t,
|  | bfcn_open_t | o,
|  | bfcn_close_t | c1,
|  | bfcn_closeP_t | c2,
|  | bfcn_reopen_t | r1,
|  | bfcn_reopenP_t | r2
| ) |  |
| inline

Definition at line 274 of file IFileMgr.h.

275 : tech( t ), b_open_fcn( o ), b_close_fcn( c1 ), b_closeP_fcn( c2 ), b_reopen_fcn( r1 ), b_reopenP_fcn( r2 ){};
HiveAlgSequencer.c2
c2
Definition: HiveAlgSequencer.py:26
Io::FileHdlr::b_reopen_fcn
bfcn_reopen_t b_reopen_fcn
Definition: IFileMgr.h:266
Io::FileHdlr::b_close_fcn
bfcn_close_t b_close_fcn
Definition: IFileMgr.h:264
Io::FileHdlr::b_closeP_fcn
bfcn_closeP_t b_closeP_fcn
Definition: IFileMgr.h:265
Io::FileHdlr::b_reopenP_fcn
bfcn_reopenP_t b_reopenP_fcn
Definition: IFileMgr.h:267
Io::FileHdlr::b_open_fcn
bfcn_open_t b_open_fcn
Definition: IFileMgr.h:263
Io::FileHdlr::tech
IoTech tech
Definition: IFileMgr.h:261
HiveAlgSequencer.c1
c1
Definition: HiveAlgSequencer.py:25

## Member Data Documentation

bfcn_close_t Io::FileHdlr::b_close_fcn

Definition at line 264 of file IFileMgr.h.

bfcn_closeP_t Io::FileHdlr::b_closeP_fcn

Definition at line 265 of file IFileMgr.h.

bfcn_open_t Io::FileHdlr::b_open_fcn

Definition at line 263 of file IFileMgr.h.

bfcn_reopen_t Io::FileHdlr::b_reopen_fcn

Definition at line 266 of file IFileMgr.h.

bfcn_reopenP_t Io::FileHdlr::b_reopenP_fcn

Definition at line 267 of file IFileMgr.h.

IoTech Io::FileHdlr::tech = UNKNOWN

Definition at line 261 of file IFileMgr.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/IFileMgr.h